--- kmod/saa713x_i2c.h.orig	Fri Mar  9 11:16:01 2007
+++ kmod/saa713x_i2c.h	Fri Mar  9 11:18:16 2007
@@ -25,11 +25,10 @@
 #define I2C_STS_SEQERR		0x0D
 #define I2C_STS_STSERR		0x0E
 
-/* These are functions */
-iicbus_start_t	saa_i2c_start;
-iicbus_stop_t	saa_i2c_stop;
-iicbus_read_t	saa_i2c_read;
-iicbus_write_t	saa_i2c_write;
-iicbus_reset_t	saa_i2c_reset;
+int saa_i2c_reset(device_t dev, u_char speed, u_char addr, u_char *oaddr);
+int saa_i2c_start(device_t dev, u_char slave, int timeout);
+int saa_i2c_stop(device_t dev);
+int saa_i2c_write(device_t dev, char *buf, int len, int *bytes, int timeout);
+int saa_i2c_read(device_t dev, char *buf, int len, int *bytes, int last, int delay);
 
 #endif
